# CRUD: Retrieve an invoice item adjustment

Endpoint: GET /v1/object/invoice-item-adjustment/{id}
Version: 2026-09-11

## Path parameters:

  - `id` (string, required)
    Object id

## Query parameters:

  - `fields` (string)
    Object fields to return

## Header parameters:

  - `Accept-Encoding` (string)
    Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. 

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.

  - `Content-Encoding` (string)
    Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

  - `Authorization` (string)
    The value is in the `Bearer {token}` format where {token} is a valid OAuth token generated by calling [Create an OAuth token](https://developer.zuora.com/api-references/api/operation/createToken).

  - `Zuora-Entity-Ids` (string)
    An entity ID. If you have [Zuora Multi-entity](https://docs.zuora.com?resourceId=platform-multi-entity-overview) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).

## Response 200 fields (application/json):

  - `AccountId` (string)
    The ID of the account that owns the invoice.
**Values**: inherited from `Account.ID` for the invoice owner

  - `AccountingCode` (string)
    The accounting code for the invoice item. Accounting codes group transactions that contain similar accounting attributes.
**Character limit**: 100 **Values**: inherited from `InvoiceItem.AccountingCode`

  - `AdjustmentDate` (string)
    The date when the invoice item adjustment is applied, in `yyyy-mm-dd` format. This date must be the same as the invoice's date or later.
**Character limit**: 29

  - `AdjustmentNumber` (string)
    A unique string to identify an individual invoice item adjustment.
**Character limit**: 255 **Values**: automatically generated

  - `Amount` (number)
    The amount of the invoice item adjustment. The value of Amount must be positive. Use the required parameter Type to either credit or charge (debit) this amount on the invoice. **Character limit**: 16 **Values**: a valid currency amount

  - `CancelledById` (string)
    The ID of the Zuora user who canceled the invoice item adjustment. Zuora generates this read-only field only if the adjustment is canceled.
**Character limit**: 32 **Values**: automatically generated

  - `CancelledDate` (string)
    The date when the invoice item adjustment is canceled. Zuora generates this read-only field if this adjustment is canceled.
**Character limit**: 29 **Values**: automatically generated

  - `Comment` (string)
    Use this field to record comments about the invoice item adjustment.
**Character limit**: 255 **Values**: a string of 255 characters or fewer

  - `CreatedById` (string)
    The user ID of the person who created the invoice item.
**Character limit**: 32 **Values**: automatically generated

  - `CreatedDate` (string)
    The date the invoice item was created.
**Character limit**: 29 **Values**: automatically generated

  - `CustomerName` (string)
    The name of the account that owns the associated invoice.
**Character limit**: 50
**Values**: inherited from `Account.Name`
**Note**: This value changes if `Account.Name` is updated. The values of `UpdatedById` and `UpdatedDate` for the `InvoiceItemAdjustment` do not change when `Account.Name` is updated.

  - `CustomerNumber` (string)
    The unique account number of the customer's account.
**Character limit**: 50
**Values**: inherited from `Account.AccountNumber`
**Note**: This value changes if `Account.AccountNumber` is updated. The values of `UpdatedById` and `UpdatedDate` for the `InvoiceItemAdjustment` do not change when `Account.AccountNumber` is updated.

  - `DeferredRevenueAccount` (string)
    Records the deferred accounting code in the finance system. This field is in Limited Availability. If you want to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). **Character limit**: 100
**Version notes**: WSDL 63.0+
**Values**: If this field is not passed in, a value from InvoiceItem will be used.

  - `ExcludeItemBillingFromRevenueAccounting` (boolean)
    The flag to exclude Order Line Item related invoice items, invoice item adjustments, credit memo items, and debit memo items that are generate for the rate plan charge from revenue accounting.
**Version notes**: WSDL 117.0+
**Values**: boolean value
**Note**: This field is only available if you have the Billing - Revenue Integration feature enabled.

  - `Id` (string)
    Object identifier.

  - `InvoiceId` (string)
    The ID of the invoice associated with the adjustment. The adjustment invoice item is in this invoice. This field is optional if you specify a value for the `InvoiceNumber` field.
**Character limit**: 3 **Values**: a valid invoice ID

  - `InvoiceItemName` (string)
    The name of the invoice item's charge. This field is required in the Query call, but is inherited in other calls.
**Character limit**: 255 **Values**: inherited from `InvoiceItem.ChargeName`

  - `InvoiceNumber` (string)
    The unique identification number for the invoice that contains the invoice item. This field is optional if you specify a value for the `InvoiceId` field.
**Character limit**: 32 **Values**: a valid invoice number

  - `ReasonCode` (string)
    A code identifying the reason for the transaction. Must be an existing reason code or empty. If you do not specify a value, Zuora uses the default reason code.
**Character limit**: 32 **Values**: a valid reason code

  - `RecognizedRevenueAccount` (string)
    Records the recognized accounting code in the finance system. This field is in Limited Availability. If you want to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). **Character limit**: 100
**Version notes**: WSDL 63.0+
**Values**: If this field is not passed in, a value from InvoiceItem will be used.

  - `ReferenceId` (string)
    A code to reference an object external to Zuora. For example, you can use this field to reference a case number in an external system.
**Character limit**: 60 **Values**: a string of 60 characters or fewer

  - `ServiceEndDate` (string)
    The end date of the service period associated with the invoice item. Service ends one second before the date in this value.
**Character limit**: 29

  - `ServiceStartDate` (string)
    The start date of the service period associated with the invoice item. Service ends one second before the date in this value.
**Character limit**: 29

  - `SourceId` (string)
    The ID of the item specified in the SourceType field.
**Character limit**: 32 **Values**: a valid invoice item ID or taxation item ID

  - `SourceType` (string)
    The type of adjustment.
**Character limit**: 13 **Values**: InvoiceDetail, Tax

  - `Status` (string)
    The status of the invoice item adjustment. This field is required in the Query call, but is automatically generated in other calls.
**Character limit**: 9 **Values**: Canceled, Processed

  - `TransferredToAccounting` (string)
    Indicates the status of the adjustment's transfer to an external accounting system, such as NetSuite.
    Enum: "Processing", "Yes", "No", "Error", "Ignore"

  - `Type` (string)
    Indicates whether the adjustment credits or debits the invoice item amount.
    Enum: "Credit", "Charge"

  - `UpdatedById` (string)
    The ID of the user who last updated the invoice item.
**Character limit**: 32 **Values**: automatically generated

  - `UpdatedDate` (string)
    The date when the invoice item was last updated.
**Character limit**: 29 **Values**: automatically generated

  - `InvoiceItemAdjustment.IntegrationId__NS` (string)
    ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).

  - `InvoiceItemAdjustment.IntegrationStatus__NS` (string)
    Status of the invoice item adjustment's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).

  - `InvoiceItemAdjustment.SyncDate__NS` (string)
    Date when the invoice item adjustment was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).

## Response 200 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:
  - `application/json`
  - `application/xml`
  - `text/html`
  - `text/csv`
  - `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.

## Response 401 fields (application/json):

  - `message` (string)
    Error message.
If the error message is "Authentication error", ensure that the `Authorization` request header contains valid authentication credentials, then retry the request. See [Authentication](https://developer.zuora.com/rest-api/general-concepts/authentication/) for more information.
If the error message is "Failed to get user info", retry the request.

## Response 401 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:
  - `application/json`
  - `application/xml`
  - `text/html`
  - `text/csv`
  - `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.

  - `WWW-Authenticate` (string)
    The value of this header is:

```
Basic realm=Zuora API, ZSession realm=Zuora API, Bearer realm=Zuora API
```
    Enum: "Basic realm=Zuora API, ZSession realm=Zuora API, Bearer realm=Zuora API"

## Response 404 fields (application/json):

  - `done` (boolean)

  - `records` (array)

  - `size` (integer)

## Response 404 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:
  - `application/json`
  - `application/xml`
  - `text/html`
  - `text/csv`
  - `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.

## Response 200 examples:

  - `response` (unknown)

## Response 401 examples:

  - `response` (unknown)

## Response 404 examples:

  - `response` (unknown)

